Bug 888819 - MEmory leak in new memcache initgr cleanup function
MEmory leak in new memcache initgr cleanup function
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: sssd (Show other bugs)
18
All Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Jakub Hrozek
Fedora Extras Quality Assurance
:
Depends On: 888800
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-19 10:13 EST by Stephen Gallagher
Modified: 2013-02-09 06:23 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 888800
Environment:
Last Closed: 2013-02-09 06:23:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Gallagher 2012-12-19 10:13:31 EST
Cloning this to Fedora, as it's a serious issue present in the current Fedora package, sssd-1.9.3-1.fc18

A patch is available upstream.


+++ This bug was initially created as a clone of Bug #888800 +++

This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/1730

a user in the #sssd channel reported a valgrind output that led me to find out a glaring memory leak in the new feature we introduced to clean up the mem cache on initgroups calls.
Comment 1 Fedora Update System 2013-02-07 13:21:48 EST
sssd-1.9.4-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-1795/sssd-1.9.4-2.fc18
Comment 2 Fedora Update System 2013-02-09 06:23:49 EST
sssd-1.9.4-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.